Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Nov 2013 19:28:23 +0200

> Date: Thu, 21 Nov 2013 18:10:30 +0100
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> >> Can you try adding this line:
> >>
> >>     Sleep (1000);
> >
> > Actually, let's try with something that should be abundantly enough:
> >
> >         Sleep (20000);
> >
> > (that's 20-sec wait).  It will let Emacs wait for 20 sec during exit,
> > but the question is, does it solve the hang?  If it does, I will come
> > up with a more clever wait procedure.
> 
> I patched my emacs that way, and I've used this for two days, but
> sadly I've just got another hung session:

Too bad.  This means the fact that WSACloseEvent was on the stack in
your previous report has nothing to do with the problem, and we are
back to square one.

Thanks.